4Suite™ API Documentation

# ► Module Ft.Lib.DistExt.BDistWininst

Classes: BDistWininst |  |  |  | Globals: EXEDATA

## Classes

class BDistWininst(distutils.command.bdist_wininst.bdist_wininst)

  ### Methods

  create_exe(self, arcname, fullname, bitmap=None)
    Overrides: create_exe from class bdist_wininst
  finalize_options(self)
    Overrides: finalize_options from class bdist_wininst
  get_inidata(self)
    Overrides: get_inidata from class bdist_wininst
  initialize_options(self)
    Overrides: initialize_options from class bdist_wininst
  run(self)
    Overrides: run from class bdist_wininst

  ### Methods inherited from class distutils.command.bdist_wininst.bdist_wininst

  get_exe_bytes, get_installer_filename

  ### Methods inherited from class distutils.cmd.Command

  __getattr__, __init__, announce, copy_file, copy_tree, debug_print, dump_options, ensure_dirname, ensure_filename, ensure_finalized, ensure_string, ensure_string_list, execute, get_command_name, get_finalized_command, get_sub_commands, make_archive, make_file, mkpath, move_file, reinitialize_command, run_command, set_undefined_options, spawn, warn

  ### Members

  command_name = 'bdist_wininst'

  ### Members inherited from class distutils.command.bdist_wininst.bdist_wininst

  boolean_options, description, user_options

  ### Members inherited from class distutils.cmd.Command

  sub_commands

## Globals

EXEDATA = 'TVqQAAMAAAAEAAAA//8AALgAAAAAAAAAQAAAAAAAAAAAAAAA...AAAAAAAAAAAAAAAAAAA\nAAAAAAAAAAAAAAAAAAAAAAAAAAA=\n'